You are not logged in.

#1 2011-11-24 16:24:19

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

[kde-unstable] KDE 4.8

Hi all,
the first beta of the new KDE 4.8 major release has been released and is ready in the [kde-unstable] repository.

The kdeaccessibility and kdeutils modules have been split, but this time users will not see any changes smile

See the KDE announcement for the new features and upstream changes.

Arch Linux Changes:
- new kdeplasma-addons-applets-icontasks package
- new kactivities package, split from kdelibs
- new kdeedu-analitza package, split from kdeedu-kalgebra
- kdeedu-kalzium has libfacile support
- Open GL ES is enabled in kdebase-workspace

Please read the wiki page about [kde-unstable] if you want to use these packages. Also remember that [testing] could be needed, so follow arch-dev-public.

Also, the first beta of the Calligra Suite is in [kde-unstable] since May 19th and the packages have been built to replace the KOffice suite. Please use the thread about Calligra or our bug tracker to report the packaging bugs.

Please report any packaging bug to https://bugs.archlinux.org.
KDE bugs to https://bugs.kde.org.

Offline

#2 2011-11-24 17:31:33

masteryod
Member
Registered: 2010-05-19
Posts: 433

Re: [kde-unstable] KDE 4.8

Thanks bash, you're doing amazing job smile I'll check this out on virtualbox to see what 4.8 taste like and report bugs.

Offline

#3 2011-11-24 20:50:14

reflexing
Member
Registered: 2009-03-25
Posts: 58
Website

Re: [kde-unstable] KDE 4.8

Upgraded, everything looks good, thanks! No issues yet, but I mention that application report KDE 4.7.3 in "About KDE" help dialog… Why aren't there a bump? smile

Offline

#4 2011-11-24 20:56:58

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.8

reflexing wrote:

Upgraded, everything looks good, thanks! No issues yet, but I mention that application report KDE 4.7.3 in "About KDE" help dialog… Why aren't there a bump? smile

Kevin Kofler wrote:

On Sunday 20 November 2011, Andrea Scarpino wrote:
> Using 4.7.80 tarballs, kde-config prints:
> $ kde4-config --version | grep KDE
> KDE Development Platform: 4.7.3 (4.7.3)
>
> Is everything ok?

This is yet another ugly side effect of the infamous "kdelibs freeze".

The plan is to copy the 4.7 branch to 4.8 after the last 4.7.x release, but
that means that as long as there are 4.7.x releases, the kdelibs version will
necessarily be 4.7.x. :-/

Offline

#5 2011-11-24 21:19:39

masteryod
Member
Registered: 2010-05-19
Posts: 433

Re: [kde-unstable] KDE 4.8

BTW what is the situation with kwin GLES?

Offline

#6 2011-11-24 22:21:29

reflexing
Member
Registered: 2009-03-25
Posts: 58
Website

Re: [kde-unstable] KDE 4.8

masteryod wrote:

BTW what is the situation with kwin GLES?

For Catalyst 11.11:

# kwin_gles --replace &
kwin(15101) KWin::Extensions::init: Extensions: shape: 0x "11"  composite: 0x "4"  render: 0x "b"  fixes: 0x "50"
kwin(15101) KWin::Workspace::setupCompositing: Initializing OpenGL compositing
kwin(15101) KWin::SceneOpenGL::initRenderingContext: EGL version:  1 . 4
kwin(15101): Required support for binding pixmaps to EGLImages not found, disabling compositing 
kwin(15101): Failed to initialize compositing, compositing disabled

Offline

#7 2011-11-24 22:27:34

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.8

Works with my Intel card, but switching between windows (atl+tab) has a minor issue.

$ kwin_gles --replace &
OpenGL vendor string:                   Tungsten Graphics, Inc
OpenGL renderer string:                 Mesa DRI Mobile Intel® GM45 Express Chipset 
OpenGL version string:                  OpenGL ES 2.0 Mesa 7.11.1
OpenGL shading language version string: OpenGL ES GLSL ES 1.0.16
Driver:                                 Intel
GPU class:                              i965
OpenGL version:                         2.0
GLSL version:                           1.0.16
Mesa version:                           7.11.1
X server version:                       1.11.2
Linux kernel version:                   3.1.2
Direct rendering:                       yes
Requires strict binding:                yes
GLSL shaders:                           yes
Texture NPOT support:                   limited

Offline

#8 2011-11-24 22:39:37

lordheavy
Developer
From: France
Registered: 2010-04-01
Posts: 205

Re: [kde-unstable] KDE 4.8

Works also with r600g:

lordh@archMain ~]$ kwin_gles --replace &
[1] 8950
[lordh@archMain ~]$ OpenGL vendor string:                   X.Org
OpenGL renderer string:                 Gallium 0.4 on AMD RV770
OpenGL version string:                  OpenGL ES 2.0 Mesa 7.11.1
OpenGL shading language version string: OpenGL ES GLSL ES 1.0.16
Driver:                                 R600G
GPU class:                              R700
OpenGL version:                         2.0
GLSL version:                           1.0.16
Mesa version:                           7.11.1
X server version:                       1.11.2
Linux kernel version:                   3.1.2
Direct rendering:                       yes
Requires strict binding:                no
GLSL shaders:                           yes
Texture NPOT support:                   yes

Last edited by lordheavy (2011-11-24 22:40:39)

Offline

#9 2011-11-25 00:32:49

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: [kde-unstable] KDE 4.8

So nice to hear that icontasks is an official package big_smile

Offline

#10 2011-11-25 08:49:50

neubauten84
Member
Registered: 2010-02-27
Posts: 47

Re: [kde-unstable] KDE 4.8

And what about Qt 4.8 and QtWebkit 2.2?is now possible to test them?could you test them with this kde 4.8 beta?
Let us know please!!!I'm just waiting a good html5 rendering to turn back to kde!!!
Tks!!

Offline

#11 2011-11-25 13:12:59

desaparecido
Member
From: Liège, Belgium
Registered: 2010-03-14
Posts: 140

Re: [kde-unstable] KDE 4.8

with nVidia Corporation GT218 [GeForce 210] with proprietary drivers I have this:

[luis@xxx ~]$ kwin_gles --replace &
[1] 5254
[luis@xxx ~]$ libEGL warning: DRI2: failed to authenticate
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/xorg/modules/dri)
libEGL warning: DRI2: failed to open swrastg (search paths /usr/lib/xorg/modules/dri)
OpenGL vendor string:                   VMware, Inc.
OpenGL renderer string:                 Gallium 0.4 on llvmpipe
OpenGL version string:                  OpenGL ES 2.0 Mesa 7.11.1
Driver:                                 LLVMpipe
GPU class:                              Unknown
OpenGL version:                         2.0
Mesa version:                           7.11.1
X server version:                       1.11.2
Linux kernel version:                   3.1.2
Direct rendering:                       yes
Requires strict binding:                yes
GLSL shaders:                           no
Texture NPOT support:                   yes
kwin(5254): Required support for binding pixmaps to EGLImages not found, disabling compositing 
kwin(5254): Failed to initialize compositing, compositing disabled 
kwin(5254): Consult http://techbase.kde.org/Projects/KWin/4.0-release-notes#Setting_up 

I didn't still search to workaround this if is possible.


KF5 & Plasma5 (git versions) - Awesome WM
ASUS Sabertooth 990FX - AMD FX8350 - ATI Radeon HD 7970
[testing] repo

Offline

#12 2011-11-25 13:14:01

Damnshock
Member
From: Barcelona
Registered: 2006-09-13
Posts: 414

Re: [kde-unstable] KDE 4.8

What about those graphic cards that do not support OpenGL ES? Will they work? (p.e:Intel GMA 950)

Other than that, the update works wonderfully on my Intel HD2000

Regards


My blog: blog.marcdeop.com
Jabber ID: damnshock@jabber.org

Offline

#13 2011-11-25 13:46:50

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: [kde-unstable] KDE 4.8

I think OpenGL ES 2.0 is not supported by the proprietary drivers and some "older" GPUs (not very old though).

Offline

#14 2011-11-25 13:55:53

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: [kde-unstable] KDE 4.8

howto change the range of sizes in dolphin? only show me in KiB

icontask break my plasma-desktop

http://pastebin.com/TxgSgGEs

Last edited by sl1pkn07 (2011-11-25 15:40:02)

Offline

#15 2011-11-25 16:02:48

stavallo
Member
Registered: 2010-05-28
Posts: 34

Re: [kde-unstable] KDE 4.8

sl1pkn07 wrote:

icontask break my plasma-desktop

http://pastebin.com/TxgSgGEs

icontasks breaks my plasma-desktop, too :-(

Also, it seems that the only window switching (alt+tab) method that is usable is box switch, while in 4.7 it was possible to use others, such as the present windows effect, cover switch, etc. Maybe it is due to the fact that the window switcher has been implemented in QML and box switch is the only method implemented? Anyone can add more info? Thanks

EDIT: The configuration of the window switcher is still possible. It has been moved to Window behavior->Task Switcher

Last edited by stavallo (2011-11-25 17:07:54)

Offline

#16 2011-11-25 16:24:22

karoshi
Member
From: Marburg
Registered: 2008-02-26
Posts: 182

Re: [kde-unstable] KDE 4.8

sl1pkn07 wrote:

icontask break my plasma-desktop

mine too, but plasma-icontasks from AUR works...


It's a bug planet!

Offline

#17 2011-11-25 18:37:03

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: [kde-unstable] KDE 4.8

sl1pkn07 wrote:

icontask break my plasma-desktop

Same here, this is weird...it was working when I test it some day ago.

Offline

#18 2011-11-25 19:49:14

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 601

Re: [kde-unstable] KDE 4.8

sl1pkn07 wrote:

howto change the range of sizes in dolphin? only show me in KiB

kcmshell4 language

Last tab.

Offline

#19 2011-11-25 20:14:27

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: [kde-unstable] KDE 4.8

Xabre wrote:
sl1pkn07 wrote:

howto change the range of sizes in dolphin? only show me in KiB

kcmshell4 language

Last tab.

don't change. only view in KiB, don't in GiB, MiB, etc.....

example:

http://wstaw.org/m/2011/11/25/plasma-desktoprc8270.png

Offline

#20 2011-11-25 20:30:08

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 601

Re: [kde-unstable] KDE 4.8

sl1pkn07 wrote:

don't change. only view in KiB, don't in GiB, MiB, etc.....

example:

http://wstaw.org/m/2011/11/25/plasma-desktoprc8270.png

Now, that's weird:
http://www.dodaj.rs/f/19/aI/1ZNwJZkd/weird.png

I guess you've restarted dolphin....?

Offline

#21 2011-11-25 20:45:16

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: [kde-unstable] KDE 4.8

yes. more times. see the size of files. only view in KiB...

Last edited by sl1pkn07 (2011-11-25 20:45:41)

Offline

#22 2011-11-25 20:57:56

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 601

Re: [kde-unstable] KDE 4.8

Yes, I know what you thought of, but still - it's all in KB, GB etc here:
http://www.dodaj.rs/f/2K/1h/1B2ojZ6P/still.png

Last edited by Xabre (2011-11-25 21:00:05)

Offline

#23 2011-11-25 22:36:12

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: [kde-unstable] KDE 4.8

another issue, this is with Jdown (java)

http://wstaw.org/m/2011/11/25/plasma-desktopd23376.png

when 2 min running, one "micro-frozen" plasma-desktop (and glitched in the middle of screen: http://wstaw.org/m/2011/11/25/plasma-desktopr24262.png) and make one of java embedded window

EDIT: still minicrash plasma-desktop when java close

Last edited by sl1pkn07 (2011-11-26 13:21:03)

Offline

#24 2011-11-26 09:28:55

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: [kde-unstable] KDE 4.8

kmix keeps randomly starting to eat 100% cpu or just segfaulting with pulseaudio...


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#25 2011-11-26 10:35:11

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 314

Re: [kde-unstable] KDE 4.8

Cdh wrote:

kmix keeps randomly starting to eat 100% cpu or just segfaulting with pulseaudio...

yea. me too

Offline

Board footer

Powered by FluxBB